Summary:    Manage IO on many file handles
Name:       perl-IO-Multiplex
Version:    1.16
Release:    5%{?dist}
License:    GPL+ or Artistic
URL:        https://metacpan.org/release/IO-Multiplex
Source0:    https://cpan.metacpan.org/modules/by-module/IO/IO-Multiplex-%{version}.tar.gz

BuildRequires: coreutils findutils make perl-generators perl-interpreter perl(ExtUtils::MakeMaker) perl(Test) perl(warnings)
BuildRequires: perl(Carp) perl(constant) perl(Fcntl) perl(FileHandle) perl(IO::Handle) perl(IO::Socket)
BuildRequires: perl(POSIX) perl(Socket) perl(strict) perl(Tie::Handle) perl(Time::HiRes) perl(vars)
Requires:     perl(Time::HiRes)
BuildArch:    noarch

%description
IO::Multiplex is designed to take the effort out of managing multiple file handles. It is
essentially a really fancy front end to the select system call.  In addition to maintaining the
select loop, it buffers all input and output to/from the file handles. It can also accept incoming
connections on one or more listen sockets.

%prep
%autosetup -n IO-Multiplex-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README TODO
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Multiplex.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.16-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 1.16-1
- initial build
